Subject: Re: 24.1; desktop doesn't handle unclean restart under daemon mode

From: Chong Yidong <[email-masked]>
Date: Thu, 21 Jun 2012 03:07:33 -0400

> The default configuration of desktop (aside from actually enabling it,
> via customize) can prompt as to whether a desktop configuration that
> "appears to be in use" by another process should be used.
>
> If emacsclient is launched by a button in the gnome panel, so there is
> no tty available, a stream of "Back to top level" messages seems to
> get written to a log file (.xsession-errors), and I doesn't see
> anything happen; no window comes up.

Fixed in trunk.  Now the prompt defaults to no if Emacs is running as a
daemon.  Thanks.